% Cite as: Solano, J.; Jimenez, D.; Ilinca, A. A Modular Simulation Testbed for Energy Management in AC/DC Microgrids. Energies 2020, 13, 4049.

% VSC1 parameters
vsc1.R1=0.02; %resistance between converter and PCC
vsc1.L1=0.04; %Inductance between converter and PCC
vsc1.Xl1=2*pi*60*vsc1.L1; %Reactance between converter and PCC

vsc1.ki1=50;   %current Integral constant PI controller
vsc1.kp1=100;  %current Proportional constant PI controller

vsc1.kp_PQ1=0.1/10;  %Proportional constant PI controller -PQ 
vsc1.ki_PQ1=5/10; %Integral constant  PI controller -PQ

% Last modified by DJ.A - 29th July 2020