% Cite as: Solano, J.; Jimenez, D.; Ilinca, A. A Modular Simulation Testbed for Energy Management in AC/DC Microgrids. Energies 2020, 13, 4049.

% VSC2 parameters
vsc2.R2=0.02; %resistance between converter and PCC
vsc2.L2=0.04; %resistance between converter and PCC
vsc2.Xl2=2*pi*60*vsc2.L2; %Reactance between converter and PCC

vsc2.ki2=100;  %current Integral constant PI controller
vsc2.kp2=50;  %current Proportional constant PI controller

% Control parameters
vsc2.kp_PQ2=0.1; %Proportional constant PI controller PQ
vsc2.ki_PQ2=5;  %Integral constant  PI controller PQ

% Last modified by DJ.A - 29th July 2020