% Cite as: Solano, J.; Jimenez, D.; Ilinca, A. A Modular Simulation Testbed for Energy Management in AC/DC Microgrids. Energies 2020, 13, 4049.

% VSC2 parameters
vsc2.R2=0.02; %resistance between converter and PCC
vsc2.L2=0.04; %Inductance between converter and PCC
vsc2.Xl2=2*pi*60*vsc2.L2; %Reactance between converter and PCC

vsc2.ki2=vsc1.ki1; %current Integral constant PI controller
vsc2.kp2=vsc1.kp1; %current proportional constant PI controller

vsc2.kp_PQ2=0.1/10; %Proportional constant PI controller - PQ
vsc2.ki_PQ2=5/10; %Integral constant  PI controller - PQ

% Last modified by DJ.A - 29th July 2020