% Cite as: Solano, J.; Jimenez, D.; Ilinca, A. A Modular Simulation Testbed for Energy Management in AC/DC Microgrids. Energies 2020, 13, 4049.

% Battery model parameters. 
batt.kEm=0.3897;  %Internal voltage 
batt.Em0=2.2872; %Initial Internal voltage
batt.T1=2000;  %Nominal discharge time
batt.ncell=48*4; %Number of cells connected in series within the module
batt.r0=2.3e-3; %Series resistance
batt.r1=1.97e-3; %Paralallel resistance
batt.SOC0=0.9; %Initial state of charge 
batt.Qnom=45*3600; %Nominal charge

% Last modified by DJ.A - 28th July 2020