% Cite as: Solano, J.; Jimenez, D.; Ilinca, A. A Modular Simulation Testbed for Energy Management in AC/DC Microgrids. Energies 2020, 13, 4049.

% Generator parameters
sm.Rl=1e6; %stator paralell resistance
sm.f=60; %frequency Hz
sm.Rs= 1.0e-3; %stator resistance
sm.Ls=150e-6; %stator inductance
%AVR
sm.kp=0.82; %Proportial constant AVR
sm.ki=2.75; %Integral constant AVR
sm.Vref=240;  % Reference voltage

% Last modified by DJ.A - 29th July 2020