% Cite as: Solano, J.; Jimenez, D.; Ilinca, A. A Modular Simulation Testbed for Energy Management in AC/DC Microgrids. Energies 2020, 13, 4049.

close all;clear all;clc

% simulation parameters
simul.step=1/60/50;% simulation step
simul.Psignals=0.01; % signals sample time
simul.start=0;simul.Time=2; % simulation stary and stop time in seconds

% load microgrid parameters
init_droop;
init_VSC1;
init_VSC2;
init_Load;
init_pll;

% run simulation
sim Energies_MicroGrid_wo_SG

% produce figures
figures_EMS

% Last modified by DJ.A - 29th July 2020